"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@angular/core");
var BehaviorSubject_1 = require("rxjs/BehaviorSubject");
var SearchFilterService = /** @class */ (function () {
    function SearchFilterService() {
        /* Source Params */
        this.searchSource = new BehaviorSubject_1.BehaviorSubject('');
        this.currentSearch = this.searchSource.asObservable();
        /* Filter Source Params */
        this.filterSearchParamSource = new BehaviorSubject_1.BehaviorSubject('');
        this.currentFilterSearch = this.filterSearchParamSource.asObservable();
    }
    /* Set Params for Filters */
    SearchFilterService.prototype.addSearchParam = function (param) {
        this.filterSearchParamSource.next(param);
    };
    SearchFilterService = tslib_1.__decorate([
        core_1.Injectable(),
        tslib_1.__metadata("design:paramtypes", [])
    ], SearchFilterService);
    return SearchFilterService;
}());
exports.SearchFilterService = SearchFilterService;
//# sourceMappingURL=search-filter.service.js.map