"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
* Angular App Modules.
*
* @file Main Angular's application properties.
*/
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
var platform_browser_1 = require("@angular/platform-browser");
var forms_1 = require("@angular/forms");
var clip_service_1 = require("./clip.service");
var search_filter_service_1 = require("./search-filter.service");
var coupon_filter_service_1 = require("./coupon-filter.service");
var app_config_service_1 = require("./app.config.service");
var boxtop_service_1 = require("./boxtop.service");
// Angular's NgModule
var CoreModule = /** @class */ (function () {
    function CoreModule() {
    }
    CoreModule = tslib_1.__decorate([
        core_1.NgModule({
            declarations: [],
            imports: [
                platform_browser_1.BrowserModule,
                http_1.HttpClientModule,
                forms_1.FormsModule
            ],
            providers: [
                clip_service_1.ClipService,
                search_filter_service_1.SearchFilterService,
                coupon_filter_service_1.CouponFilterService,
                app_config_service_1.AppConfigService,
                boxtop_service_1.BoxtopService
            ]
        }),
        core_1.Injectable()
    ], CoreModule);
    return CoreModule;
}());
exports.CoreModule = CoreModule;
//# sourceMappingURL=core.module.js.map